Science transmission is not affected by time warping
Description

When transmitting science using some antenna, the transmission rate is not affected by the time warp.

So if the transmission takes for example 10 seconds, and | use a 10x time warp, the transmission should take 1 second while instead

it still takes 10 seconds.

This opens an easy exploit that allows to transmit massive sets of data even when a ship doesn't actually have enough power
generators to sustain it, since power generators (like solar panels) are affected by the time warp.

To reproduce / test this, just build a new probe with no batteries, a seismic sensor (or a gravioli sensor), one small solar panel and a
DTS1 antenna. In real time, the solar panel doesn't produce enough power to transmit the data; but if you start the transmission and
then timewarp to 50x or 100x, you are now able to complete the transmission.

On a side note: | would actually like to see this exploit transformed into a feature, as in having a way to manually cap the
transmission rate of an antenna so that it doesn't dry off all my batteries.

History

#1 - 02/16/2014 11:57 AM - TruePikachu
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#3 - 07/17/2016 09:25 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#4 - 07/17/2016 04:37 PM - Ippo
- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100

Could not reproduce in KSP 1.1.2

#5 - 07/18/2016 03:42 AM - TriggerAu

- Status changed from Resolved to Closed

Thanks Ippo. appreciate the retest
